Bug 112743 - silly exec permissions on fs w/o file protection
silly exec permissions on fs w/o file protection
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-12-30 10:03 EST by Jablonovsky Alexander
Modified: 2007-04-18 13:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jablonovsky Alexander 2003-12-30 10:03:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.0.1)
Gecko/20020823 Netscape/7.0

Description of problem:
For a fs w/o protection information like vfat or iso9660 (w/o Rock
Ridge) the kernel alway shows the `x' permission bits set. I'm really
tyred to run chmod on each file has been coped from such fs.
Non-native fss are very seldom used to store Linux executables, but
primarily for data. In previous kernel versions it was possible to use
the `noexec' mount option to fix this problem, currently this option
blocks execution, but not affect the stat() output. The `umask=0177'
option for vfat breaks things totally by silly clearing `x' bits for
directories also.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. mount -t vfat /dev/fd0 /mnt/floppy
2. ls -l /mnt/floppy

Additional info:

If "this behavior is by design", it's desirable to have universal
(for all fs) mount options like `mode', `user', `group' to override
default protection information. This is useful even for
protection-capable fs (for example, for reading removable media
written on system with different user/group space).
Comment 1 Bugzilla owner 2004-09-30 11:41:46 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.